Subject: Re: bug#41668: Failing test: gui-installed-desktop-os-encrypted

From: Ludovic Courtès <[email-masked]>
Date: Sun, 14 Jun 2020 22:28:59 +0200

Hi Mathieu,

Mathieu Othacehe <[email-masked]> skribis:

>> * The cow-store issue here:
>> https://lists.gnu.org/archive/html/guix-devel/2020-06/msg00043.html.
>
> This should be fixed with 876a8d987085b8c64f32c8a320e4219575af285c.

Oh, fun!

>> * A new issue I discovered, whereby 'guix system init' try to
>> build/download stuff, when it shouldn't:
>
> This is fixed by ea5d9bf9916d532005842f220f7da6e522151f6a.
>
> Regarding the initial OOM issue, this is no longer a thing because we
> are building the image on the host (and not in a VM with limited
> memory).
>
> I discovered another issue, related to HFS+ limits when producing the
> ISO image, this is fixed by: fd1e885236fcec0aec1e3293153524f02b010560.

Woow.

> There is now a final issue, where the command restarting "guix-daemon"
> in "umount-cow-store" hangs forever. I can only reproduce it in
> "gui-installed-desktop-os-encrypted" test. I wonder if it's a Shepherd
> bug or anything else. I'll keep digging.

If I can be of any help, we can chat on IRC.

Great work already!

Ludo’.